﻿#-----------------------------------------------------------------
# Copyright (c) 2017 Quest Software
#
# Name: Initialize.ps1 
# Description:
#    Set variables and import modules used in the process           
#-----------------------------------------------------------------

# Set Global Script name
if ($global:ScriptName -ne 'AllDemos')
   {$global:ScriptName = 'Other'}


# Initialize all Variables/Functions used in this process, if first time running
if (!$TDTObjectName)         
   {. (Join-Path $PSScriptRoot '.\Config.ps1') 
    . (Join-Path $PSScriptRoot '.\TDT_enums.ps1') 
    Import-Module (Join-Path $PSScriptRoot '..\PSModules\LogUtils.psm1') -Force 
    Import-Module (Join-Path $PSScriptRoot '..\PSModules\CodeTesterChecks.psm1') -Force
    Import-Module (Join-Path $PSScriptRoot '..\PSModules\Misc.psm1') -Force



    # Check to see if Install has been run before - if it hasn't, run Install.ps1
    if ($SourceDatabase -eq '{SourceDBName}')
       {Show-Log -LogType Txt -LogText 'DEMO schema not found.  Running Install...'
        & "$PSScriptsDir\Install.ps1"
    
        if ($LastExitCode) 
           {exit 1}
        else
           {. (Join-Path $PSScriptRoot '.\Config.ps1')}  #Rerun Config.ps1 after changes are made to the file.
       } 


    # Start Transcript Log 
    Start-DemoTranscript
 
   }

