﻿#-----------------------------------------------------------------
# Copyright (c) 2017 Quest Software
#
# Name: ListEnums.ps1 
# Description:
#    Lists Enums available in TDT.           
#-----------------------------------------------------------------

Function get-enumValues

{
Param([string]$enum)

$enumValues = @{}

[enum]::getvalues([type]$enum) | 

ForEach-Object {
  $enumValues.add($_, $_.value__) 
  }

$enumValues 

}


. (Join-Path $PSScriptRoot '.\Config.ps1') 
 

Show-Log -LogType Hdr -LogText 'Enum List (TDT_enums.ps1)'
Show-Log -LogType Txt -LogText "The following shows a list of Enums available in TDT."
Show-Log -LogType Txt -LogText "These name values can be substituted in the Config.ps1 script"
Show-Log -LogType Txt -LogText "instead of referencing the numeric values."
Show-LogSeperator
Show-Log -LogType Txt -LogText  ' '
Show-Log -LogType Txt -LogText "Enum Name: TAErrors"
get-enumValues -enum "TAErrors"
Show-LogSeperator
Show-Log -LogType Txt -LogText "Enum Name: TACARuleSet"
get-enumValues -enum "TACARuleSet"
Show-LogSeperator
Show-Log -LogType Txt -LogText "Enum Name: TASyncMode"
get-enumValues -enum "TASyncMode"
Show-LogSeperator
Show-Log -LogType Txt -LogText "Enum Name: TAColumnMatchMode"
get-enumValues -enum "TAColumnMatchMode"
Show-LogSeperator
Show-Log -LogType Txt -LogText "Enum Name: TAUnsupportedDataTypeMode"
get-enumValues -enum "TAUnsupportedDataTypeMode"
Show-LogSeperator
Show-Log -LogType Txt -LogText "Enum Name: TATableMatchMode"
get-enumValues -enum "TATableMatchMode"
Show-LogSeperator
Show-Log -LogType Txt -LogText "Enum Name: TAErrorMode"
get-enumValues -enum "TAErrorMode"
Show-LogSeperator
