/*-------------------------------------------------------------------------------
  Program Name:  Uninstall.sql
  Owner:         Quest Software
  Parameters:
	1)  Source Database Name
	2)  Source Database Username (requires SYSDBA Priviledges)
    3)  Source Databaes Password (requires SYSDBA Priviledges)
    4)  Target Database Name     (Different DB than Source)
    5)  Target Database Username (requires SYSDBA Priviledges)
    6)  Target Database Password (requires SYSDBA Priviledges)

  Description:
       This script will create a DEMO user in the Source and Target Database
       that will be used by the TDT_Demo processes.  It will also create a 
       Demo Function and a Demo Table in the Source Database.  
---------------------------------------------------------------------------------*/
SET SERVEROUTPUT ON


-----------------------------------------------------------------------------
-- Prompt for Login information
-----------------------------------------------------------------------------

ACCEPT Source_Database      PROMPT "Source Database Name                   : ";
ACCEPT Source_Database_User PROMPT "Source Database Username (SYSDBA Privs): ";
ACCEPT Source_Database_Pwd  PROMPT "Source Database Password (SYSDBA Privs): ";

ACCEPT Target_Database      PROMPT "Target Database Name                   : ";
ACCEPT Target_Database_User PROMPT "Target Database Username (SYSDBA Privs): ";
ACCEPT Target_Database_Pwd  PROMPT "Target Database Password (SYSDBA Privs): ";


-----------------------------------------------------------------------------
-- Connect to Source Database and remove DEMO User
-----------------------------------------------------------------------------

connect &Source_Database_User/&Source_Database_Pwd@&Source_Database as sysdba;
DROP USER DEMO CASCADE;

-----------------------------------------------------------------------------
-- Connect to Target Database and remove DEMO User
-----------------------------------------------------------------------------

connect &Target_Database_User/&Target_Database_Pwd@&Target_Database as sysdba;
DROP USER DEMO CASCADE;